Bug 233044 - net/tigervnc: Auto detect xorg-server version
Summary: net/tigervnc: Auto detect xorg-server version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-06 22:09 UTC by rozhuk.im
Modified: 2018-11-16 02:27 UTC (History)
3 users (show)

See Also:
meta: maintainer-feedback+


Attachments
patch (442 bytes, patch)
2018-11-06 22:09 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2018-11-06 22:09:00 UTC
Created attachment 199029 [details]
patch

Auto detect xorg-server version.
Required for users that apply: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196678
Comment 1 Koichiro Iwao freebsd_committer 2018-11-07 00:11:52 UTC
testbuild@work
Comment 2 commit-hook freebsd_committer 2018-11-08 05:09:01 UTC
A commit references this bug:

Author: meta
Date: Thu Nov  8 05:08:17 UTC 2018
New revision: 484427
URL: https://svnweb.freebsd.org/changeset/ports/484427

Log:
  net/tigervnc: Auto detect xorg-server version to patch

  While here, pet portlint, etc.
  - add USES=gl
  - adjust CONFLICTS
  - put DISTVERSIONPREFIX the right place

  PR:		233044
  Submitted by:	rozhuk.im@gmail.com
  Approved by:	mentors (implicit)
  Sponsored by:	HAW International, Inc.

Changes:
  head/net/tigervnc/Makefile
Comment 3 rozhuk.im 2018-11-10 04:46:26 UTC
Thanks, work ok, can be closed.